Browse code

pkg/kamailio/deb: xenial needs libbson-dev too for libmongoc-dev

(cherry picked from commit 55525d28864eba285bef3eff1d513b0769dd8ba4)

Victor Seva authored on 11/12/2017 11:45:20
Showing 2 changed files
... ...
@@ -24,6 +24,10 @@ sed -i -e '/libssl-dev/d' ${DIST}/control
24 24
 sed -i 's/libphonenumber-dev/libgeocoding-dev \(>= 7\),\n libphonenumber-dev/' \
25 25
 	${DIST}/control
26 26
 
27
+# libbson not in libmongoc
28
+sed -i 's/libmongoc-dev/libbson-dev,\n libmongoc-dev/' \
29
+	${DIST}/control
30
+
27 31
 wrap-and-sort -sat -d ${DIST}
28 32
 
29 33
 # clean backports scripts
... ...
@@ -14,6 +14,7 @@ Build-Depends:
14 14
  erlang-dev,
15 15
  flex,
16 16
  gcj-jdk,
17
+ libbson-dev,
17 18
  libconfuse-dev,
18 19
  libcurl4-openssl-dev,
19 20
  libdb-dev (>= 4.6.19),